//ABOE scripts | All Rights Reserved unless otherwise explicitly stated.
//
//Information.
//This removes the crafting recipes for problematic items.
//
//Scripted by Predundant.
//Last edited by Predundant 01.03.2022 (EU date format) (Initial version)
//Last edited by Peter 09.04.2022 (EU date format) (Removed Allthemodium Recipes.)
//Last edited by Peter 09.04.2022 (EU date format) (Removed Tape Measure Recipe)
//Last edited by Peter 14.06.2022 (EU date format) (Removed Mekanism Wind Turbine)
//Last edited by Peter 29.06.2022 (EU date format) (Removed Infinite Disks)
//Last edited by Peter 29.06.2022 (EU date format) (Removed Allthemodium references)
//Last edited by Predundant 01.08.2022 (EU date format) (Removed Ore crushing hammer due to dupe glitch)
//Last edited by Predundant 01.08.2022 (EU date format) (Removed Growth accelerators due to lag)
//Last edited by Predundant 02.08.2022 (EU date format) (Removed Omni Scythes)
//Last edited by Predundant 08.08.2022 (EU date format) (Removed IE Railgun, Nether Star Opinium Core, Final Opinium Core, Kikoku, and Eternal Stella due to bugs or being too overpowered)
//Last edited by <name> <date> (EU date format) (Changelog).


settings.logAddedRecipes = true
settings.logRemovedRecipes = true
settings.logSkippedRecipes = false
settings.logErroringRecipes = false

onEvent('recipes', event => {

	//Remove recipes

	//Removes Mekanism Wind Generator
	event.remove({output: 'mekanismgenerators:wind_generator'})

	//Removes Orb of Dominance Staff
	event.remove({output: 'village_employment:orb_of_dominance_staff'})

	//Removes Tape Measure from Chisel & Bits
	event.remove({output: 'chiselsandbits:measuring_tape'})

	//Disable infinite Disks
	event.remove({output: 'extradisks:infinite_storage_block'})
	event.remove({output: 'extradisks:infinite_storage_part'})
	event.remove({output: 'extradisks:infinite_storage_disk'})
	event.remove({output: 'extradisks:infinite_fluid_storage_disk'})
	event.remove({output: 'extradisks:infinite_fluid_storage_part'})
	event.remove({output: 'extradisks:infinite_fluid_storage_block'})
	
	//Disable ore crushing hammer
	event.remove({output: 'engineerstools:crushing_hammer'})
	
	//Disable growth accelerators
	event.remove({output: 'mysticalagriculture:inferium_growth_accelerator'})
	event.remove({output: 'mysticalagriculture:prudentium_growth_accelerator'})
	event.remove({output: 'mysticalagriculture:tertium_growth_accelerator'})
	event.remove({output: 'mysticalagriculture:imperium_growth_accelerator'})	
	event.remove({output: 'mysticalagriculture:supremium_growth_accelerator'})	
	
	//Disable omni scythes
	event.remove({output: 'omnis:ravaged_scythe'})	
	event.remove({output: 'omnis:haunted_scythe'})	
	
	//Disable IE Railgun
	event.remove({output: 'immersiveengineering:railgun'})	
	
	
	//Disable Mini Utilities Items
	event.remove({output: 'miniutilities:nether_star_opinium_core'})
	event.remove({output: 'miniutilities:the_final_opinium_core'})
	event.remove({output: 'miniutilities:kikoku'})
	
	//Disable Eternal Stella
	event.remove({output: 'forbidden_arcanus:eternal_stella'})
	
	

	
})
